<template>
  <div>
    <div class="container-fluid p-3 my-0" v-show="(myvalue == 'a')">
      <b-card style="box-shadow: 0 8px 12px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
       
       <div class="hrdivider">
          <hr/>
          <span>ویرایشگر شرح خبر</span>
        </div>

        <b-form-textarea
          rows="4"
          v-model="temp.desc"
          >
        </b-form-textarea>

      </b-card>
    </div>

    <div class="container-fluid p-3 my-0" v-show="(myvalue == 'b')">
      <b-card style="box-shadow: 0 8px 12px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
        
        <div class="hrdivider">
          <hr/>
          <span>ویرایشگر شرح خبر</span>
        </div>
          <client-only>
          <tinymce id="d1"
          v-model="temp.desc"
          toolbar1 = "formatselect | bold italic strikethrough forecolor backcolor | link | alignleft aligncenter alignright alignjustify | numlist bullist | removeformat"
          ></tinymce>
          </client-only>

      </b-card>
    </div>
    
    <div class="container-fluid p-3 my-0">
      <b-card style="box-shadow: 0 8px 12px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
        
        <div class="hrdivider">
          <hr/>
          <span >ایجاد خبر</span>          
        </div>

        <b-form  @submit.prevent="makeItem">
          <b-row class="justify-content-md-center">

            <b-col md="5">
              <b-form-group
                id="myH"
                label="عنوان خبر:"
                label-cols-sm="2"
                aria-describedby="input-live-feedback"
                >
                <b-form-input
                  id="myH2"
                  v-model="temp.subject"
                  :state="temp.subject ? true:false"
                ></b-form-input>

                <b-form-invalid-feedback id="input-live-feedback">
                عنوان خبر نمی تواند خالی باشد!
                </b-form-invalid-feedback>
             </b-form-group>    
            </b-col>

            <b-col md="5">
              <b-form-group
              id="pubDate"
              label="از تاریخ:"
              label-cols-sm="2"
              >
              <client-only>
              <date-picker id="pubDate" v-model="temp.fromDate" type="datetime" format="HH:mm:ss YYYY/MM/DD" display-format="HH:mm jYYYY-jMM-jDD" :timezone="true" color="#2A0A19"></date-picker>
              </client-only>
              </b-form-group>  
            </b-col>
            
          </b-row>

          <b-row class="justify-content-md-center">

            <b-col md="5">
              <b-form-group
              id="myT"
              label="شرح خبر:"
              label-cols-sm="2"
              >
             <b-form-select
                id="myT2"
                v-model="myvalue"
                :options="optionsText"
              ></b-form-select>
              </b-form-group>
            </b-col>
            
            <b-col md="5">

              <b-row>

                <b-col>
                  <b-form-group
                  id="expDate"
                  label="تا تاریخ:"
                  label-cols-sm="2"
                  >
                  <client-only>
                  <date-picker id="expDate" v-model="temp.toDate" type="datetime" format="HH:mm:ss YYYY/MM/DD" display-format="HH:mm jYYYY-jMM-jDD" :timezone="true" color="#2A0A19"></date-picker>
                  </client-only>
                  </b-form-group>  
                </b-col>

              </b-row>

              <b-row>

                <b-col>
                  <b-form-group
                  id="isForce"
                  label="ضروری:"
                  label-cols-sm="2"
                  >
                  <b-form-checkbox v-model="temp.isForce" name="isForce" switch style="margin-top:7px;margin-right:-12px;"></b-form-checkbox>
                  </b-form-group>  
                </b-col>

              </b-row>

            </b-col>

          </b-row>
         
          <b-row class="justify-content-md-center" > 
            <b-button  type="button;" squared @click="makeItem;myvalue = 'null'" style="background-color: #2A0A19;width:15%;margin-left:5px;margin-top:15px;font-weight:bold;" >ذخیره</b-button>
            <b-button  type="button;" squared @click="backItem;" variant="warning" style="width:15%;margin-top:15px;font-weight:bold;" >بازگشت</b-button>
          </b-row>

        </b-form>

      </b-card>
    </div>

  </div>
</template> 

<script>

  export default {  
    data() {
      return {

        myvalue: 'null',

        datetime: '2020-06-02 04:40',

        optionsText: [
          { value: null, text: 'یک حالت را انتخاب کنید' },
          { value: 'a', text: 'ویرایشگر ساده' },
          { value: 'b', text: 'ویرایشگر پیشرفته' },
        ],
          

        items : [],

        temp: {
          _id: '',
          subject: '',
          desc: '',
          fromDate: '',
          toDate: '',
          isForce: false,
          isEdit: false, 
          isDelete: false,    
        },
      }
      },
  
    methods:{
    
      makeItem()
      {
        if(this.temp.subject)
        {
          this.$axios.post('/news/insert', this.temp)
          .then(response => {
            this.temp.id = response.data.result._id
            console.log(response.data.result)
            this.items.push(response.data.result)
            

           })
          .catch(e =>{
            console.log(e)
          })

          this.temp = {};
          this.temp.isForce = false;
          
        }
        else{
          this.temp = {};
        }
      this.$router.push('/news/getAll')
      }, 

      backItem()
      {
        this.temp = {}
        this.$router.push('/news/getAll')
        
      },

    },
    

  }
</script>

<style >

.hrdivider {
  position: relative;
  margin-bottom: 30px;
  width: 100%;
  text-align: right;
}
.hrdivider span {
  position: absolute;
  top: -20px;
  background: #fff;
  padding: 0 20px;
  font-size: 25px;
}
.pagination .page-item.active .page-link {  
    background-color: #2A0A19 !important;  
    border-color: gray !important;  
}
.myselect {
  color: #2A0A19; 
}

</style>